<?php

namespace backend\models;

use Yii;

/**
 * This is the model class for table "termin_lang".
 *
 * @property integer $termin_id
 * @property integer $language_id
 * @property string $termin_title
 * @property string $termin_alias
 *
 * @property Language $lang
 * @property Termin $termin
 */
class TerminLang extends \yii\db\ActiveRecord
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'termin_lang';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['language_id'], 'required'],
            [['language_id'], 'integer'],
            [['termin_title', 'termin_alias'], 'string', 'max' => 250]
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'termin_id' => Yii::t('app', 'Termin ID'),
            'language_id' => Yii::t('app', 'Lang ID'),
            'termin_title' => Yii::t('app', 'Termin Title'),
            'termin_alias' => Yii::t('app', 'Termin Alias'),
        ];
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getLang()
    {
        return $this->hasOne(Language::className(), ['language_id' => 'language_id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getTermin()
    {
        return $this->hasOne(Termin::className(), ['termin_id' => 'termin_id']);
    }
}
